# Meet Ghostwriter, a haunted AI-powered typewriter that talks to you
## Custom typewriter hack uses Arduino, Rapsberry Pi, and GPT-3 to dramatic effect.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/12/meet-ghostwriter-a-haunted-ai-powered-typewriter-that-talks-to-you/
+ Source: Ars Technica
+ Author: Benj Edwards
+ Date published: 14 December 2022, 21:54
+ Date scraped: 14 December 2022, 22:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/12/ghostwriter_hero_2-760x380.jpg)







On Wednesday, a designer and engineer named Arvind Sanjeev [revealed his process](https://twitter.com/ArvindSanjeev/status/1603021010898677760?s=20&t=53ItvH4ADIZfP3FhsZYw7A) for creating Ghostwriter, a one-of-a-kind repurposed Brother typewriter that uses AI to chat with a person typing on the keyboard. The "ghost" inside the machine comes from OpenAI's [GPT-3](https://arstechnica.com/information-technology/2022/09/twitter-pranksters-derail-gpt-3-bot-with-newly-discovered-prompt-injection-hack/), a large language model that powers [ChatGPT](https://arstechnica.com/information-technology/2022/12/openai-invites-everyone-to-test-new-ai-powered-chatbot-with-amusing-results/). The effect resembles a phantom conversing through the machine.


To create Ghostwriter, Sanjeev took apart an electric [Brother AX-325](https://etzone.org/2022/11/10/brother-ax-325/) typewriter from the 1990s and reverse-engineered its keyboard signals, then fed them through an [Arduino](https://arstechnica.com/information-technology/2013/10/arduino-creator-explains-why-open-source-matters-in-hardware-too/), a low-cost microcontroller that is popular with hobbyists. The Arduino then sends signals to a [Raspberry Pi](https://arstechnica.com/gadgets/2022/12/raspberry-pi-inventory-improving-could-reach-pre-pandemic-levels-in-2023/) that acts as a network interface to OpenAI's GPT-3 API.


When GPT-3 responds, Ghostwriter noisily types the AI model's output onto paper automatically.


[![Examples of Ghostwriter's typewritten output, which comes from GPT-3.](https://cdn.arstechnica.net/wp-content/uploads/2022/12/ghostwriter_output-640x360.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/12/ghostwriter_output.jpg) / Examples of Ghostwriter's typewritten output, which comes from GPT-3.Arvind Sanjeev


GPT-3 is an AI large language model trained on millions of books and websites that statistically predicts which word is most likely to occur after being fed a prompt, which includes text typed by the user on Ghostwriter's keyboard. Depending on the input, GPT-3 can function like a chatbot or complete whatever text you feed it, including assisting with writing tasks or composing poetry.


While experimenting with the machine, Sanjeev realized he needed a way to control the creative "temperature" and response length of GPT-3, so he [added two knobs](https://twitter.com/ArvindSanjeev/status/1603021384120434688?s=20&t=wemsGPgAvV6vc3n-iYaWFw) and an OLED status screen just above the keyboard. Sanjeev also gave the machine a dramatic new gray, cream, and orange custom paint job.


Sanjeev first [teased](https://twitter.com/ArvindSanjeev/status/1598303946585821185?s=20&t=DD-hcM5YkuRt6hqL3S1SsA) Ghostwriter on December 1, but it's been months in the making. "The idea for Ghostwriter came in early 2021, inspired by Rob Sloan's Sci Fi writer," Sanjeev [wrote](https://twitter.com/ArvindSanjeev/status/1603021623313207296?s=20&t=wemsGPgAvV6vc3n-iYaWFw) on Twitter, "but it was difficult to squeeze time from my full time role at @Lumen\_world, so I have been slowly spending my weekends working on this."



Part art project, part artisanal hack, Sanjeev wants Ghostwriter to make a statement about the relationship between humans and AI.


"I wanted to create a mindful intervention that allows you to take a moment to breathe and reflect on the new creative relationship we are forming with machines," Sanjeev [wrote](https://twitter.com/ArvindSanjeev/status/1603021010898677760?s=20&t=wemsGPgAvV6vc3n-iYaWFw). "The calm meditative interface of a vintage typewriter takes away all the digital distractions and takes us on an emotional journey through paper and ink."


For more information on how Sanjeev created Ghostwriter, check out his [full development thread](https://twitter.com/ArvindSanjeev/status/1603021010898677760?s=20&t=DD-hcM5YkuRt6hqL3S1SsA) on Twitter, which includes videos that detail the construction process.














## Tags:


### Autogenerated tags:
gpt-3
