# OpenWrt, now 20 years old, is crafting its own future-proof reference hardware
## There are, as you might expect, a few disagreements about what's most important.
## Information:

+ Link: https://arstechnica.com/gadgets/2024/01/openwrt-now-20-years-old-is-crafting-its-own-future-proof-reference-hardware/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 23 January 2024, 20:11
+ Date scraped: 23 January 2024, 20:38

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2024/01/wrt54g_salter-760x380.jpeg)



OpenWrt, the open source firmware that sprang from Linksys' [use of open source code](https://lkml.org/lkml/2003/6/7/164) in its iconic WRT54G router and [subsequent release of its work](https://tedium.co/2021/01/13/linksys-wrt54g-router-history/), is 20 years old this year. To keep the project going, lead developers have [proposed](https://forum.openwrt.org/t/openwrt-one-celebrating-20-years-of-openwrt/183684) creating a "fully upstream supported hardware design," one that would prevent the need for handling "binary blobs" in modern router hardware and let DIY router enthusiasts forge their own path.


OpenWRT project members, 13 of which signed off on this hardware, are keeping the "OpenWrt One" simple, while including "some nice features we believe all OpenWrt supported platforms should have," including "almost unbrickable" low-level firmware, an on-board real-time clock with a battery backup, and USB-PD power. The price should be under $100 and the schematics and code publicly available.


But OpenWrt will not be producing or selling these boards, "for a ton of reasons." The group is looking to the [Banana Pi makers](https://www.banana-pi.org/) to distribute a fitting device, with every device producing a donation to the [Software Freedom Conservancy](https://sfconservancy.org/) earmarked for OpenWrt. That money could then be used for hosting expenses, or "maybe an OpenWrt summit."


OpenWrt tries to answer some questions about its designs. There are two flash chips on the board to allow for both a main loader and a write-protected recovery. There's no USB 3.0 because all the USB and PCIe buses are shared on the board. And there's such an emphasis on a battery-backed RTC because "we believe there are many things a Wi-Fi … device should have on-board by default."


But members of the site have more questions, some of them beyond the scope of what OpenWrt is promising. Some want to see a device that resembles the blue boxes of old, with 4 or 5 ethernet ports built in. Others are asking about a lack of PoE support, or USB 3.0 for network-attached drives. Some are actually wondering why the proposed device includes NVMe storage. And quite a few are asking why the device has 1gbps and 2.5gbps ports, given that this means anyone with Internet faster than 1gbps will be throttled, since the 2.5 port will likely be used for wireless output.


There is no expected release date, though it's noted that it's the "first" community-driven reference hardware.


OpenWrt, which has existed in parallel with the [DD-WRT project](https://dd-wrt.com/) that sprang from the same firmware moment, powers a number of custom-made routers. It and other open source router firmware faced an uncertain future in the mid-2010s, when FCC rules, or at least manufacturers' interpretation of them, [made them seem potentially illegal](https://arstechnica.com/information-technology/2015/09/fcc-open-source-router-software-is-still-legal-under-certain-conditions/). Because open firmware often allowed for pushing wireless radios beyond their licensed radio frequency parameters, firms like [TP-Link](https://arstechnica.com/information-technology/2016/03/tp-link-blocks-open-source-router-firmware-to-comply-with-new-fcc-rule/) blocked them, while Linksys (at that point owned by Belkin) [continued to allow them](https://arstechnica.com/information-technology/2016/05/linksys-wrt-routers-wont-block-open-source-firmware-despite-fcc-rules/). In 2020, OpenWrt patched a [code-execution exploit](https://arstechnica.com/information-technology/2020/03/openwrt-is-vulnerable-to-attacks-that-execute-malicious-code/) due to unencrypted update channels.





## Tags:


### Autogenerated tags:
openwrt usb
