# Raspberry Pi is preparing for an IPO in London for likely more than $500M
## CEO says firm will "keep doing the same stuff," at least "while I'm in charge."
## Information:

+ Link: https://arstechnica.com/gadgets/2024/01/raspberry-pi-is-preparing-for-an-ipo-in-london-for-likely-more-than-500m/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 30 January 2024, 17:40
+ Date scraped: 30 January 2024, 18:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2024/01/raspberry_pi-760x380.jpeg)



The business arm of Raspberry Pi is preparing to make an initial public offering (IPO) in London, bringing new capital into the company and likely changing the nature of the privately held, charity-controlled company.


CEO Eben Upton confirmed [in an interview with Bloomberg News](https://www.bloomberg.com/news/articles/2024-01-29/raspberry-pi-picks-banks-for-ipo-choosing-london-over-new-york?leadSource=reddit_wall) that Raspberry Pi had appointed bankers at London firms Peel Hunt and Jefferies to prepare for "when the IPO market reopens."


Raspberry previously raised money from Sony and semiconductor and software design firm ARM, and it sought public investment. Upton [denied or didn't quite deny IPO rumors](https://www.theregister.com/2021/11/29/pi_listing/) in 2021, and Bloomberg reported Raspberry Pi was [considering an IPO in early 2022](https://www.bloomberg.com/news/terminal/QPXBYJDWX2PT). After ARM took a minority stake in the company in November 2023, Raspberry Pi was valued at roughly 400 million pounds, or just over $500 million.


Given the company's [gradual recovery](https://arstechnica.com/gadgets/2023/08/some-shops-will-let-you-buy-more-than-one-raspberry-pi-at-a-time-again/) from [pandemic supply chain shortages](https://arstechnica.com/gadgets/2022/10/still-cant-buy-a-raspberry-pi-board-things-arent-getting-better-anytime-soon/), and the success of [the Raspberry Pi 5 launch](https://arstechnica.com/gadgets/2023/09/raspberry-pi-5-available-for-preorder-is-faster-and-has-a-custom-i-o-chip/), the company's IPO will likely jump above that level, even with a listing in the UK rather than the more typical US IPO. [Upton told The Register](https://www.theregister.com/2024/01/30/raspberry_pi_ipo/) that "The business is in a much better place than it was last time we looked at it [an IPO]. We partly stopped because the markets got bad. And we partly stopped because our business became unpredictable."


Upton also told The Register that Raspberry Pi "does interesting work and makes money, and I don't think those imperatives are going to change. We will keep doing the same stuff. Certainly while I'm in charge."


Still, news of the potential transformation of Raspberry Pi Ltd from the private arm of the education-minded [Raspberry Pi Foundation](https://en.wikipedia.org/wiki/Raspberry_Pi_Foundation) into a publicly traded company, beholden to profit generation for shareholders, reverberated about the way you'd expect [on Reddit](https://www.reddit.com/r/raspberry_pi/comments/1aektt7/pc_maker_raspberry_pi_picks_banks_for_ipo/), [Hacker News](https://news.ycombinator.com/item?id=39187817), and elsewhere. Many pointed with concern to the company's decision to prioritize small business customers [requiring Pi boards for their businesses](https://arstechnica.com/gadgets/2022/10/still-cant-buy-a-raspberry-pi-board-things-arent-getting-better-anytime-soon/) as a portent of what investors might prioritize. Many expressed confusion over the commercial entity's relationship to [the foundation](http://raspberrypi.org/).


Bloomberg describes the company as being "controlled by a charitable foundation." The company writes that "profits from the sale of Raspberry Pi computers help fund the Foundation’s educational initiatives." The UK government's Companies House lists the foundation as having 75 percent ownership of shares and voting rights, with the ability to add or remove directors, though that information was last submitted in 2016.


Ars reached out to Raspberry Pi for comment and will update this post with any new information.





## Tags:


### Autogenerated tags:
ipo upton bloomberg
