# Those scary warnings of juice jacking in airports and hotels? They’re nonsense
## Juice jacking attacks on mobile phones are nonexistent. So why are we so afraid?
## Information:

+ Link: https://arstechnica.com/information-technology/2023/05/fearmongering-over-public-charging-stations-needs-to-stop-heres-why/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 01 May 2023, 11:00
+ Date scraped: 01 May 2023, 12:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/04/scary-usb-juice-jacking-whooooo-760x380.jpg)







Federal authorities, tech pundits, and news outlets want you to be on the lookout for a scary cyberattack that can hack your phone when you do nothing more than plug it into a public charging station. These warnings of “juice jacking,” as the threat has come to be known, have been circulating for more than a decade.


Earlier this month, though, juice jacking fears hit a new high when the FBI and Federal Communications Commission issued new, baseless warnings that generated ominous-sounding news reports from hundreds of outlets. NPR [reported](https://www.npr.org/2023/04/14/1169462974/need-to-charge-your-phone-think-twice-juice-jackers-might-come-for-you) that the crime is "becoming more prevalent, possibly due to the increase in travel." The Washington Post [said](https://www.washingtonpost.com/technology/2023/04/11/fbi-public-phone-charging-stations-juice-jacking/) it's a “significant privacy hazard” that can identify loaded webpages in less than 10 seconds. CNN [warned](https://www.cnn.com/2023/04/12/tech/fbi-public-charging-port-warning/index.html) that just by plugging into a malicious charger, "your device is now infected." And a Fortune headline [admonished](https://fortune.com/2023/04/11/fbi-warns-americans-juice-jacking-public-phone-charging-stations/) readers: "Don’t let a free USB charge drain your bank account."


## The Halley’s Comet of cybersecurity scares


The scenario for juice jacking looks something like this: A hacker sets up equipment at an airport, shopping mall, or hotel. The equipment mimics the look and functions of normal charging stations, which allow people to recharge their mobile phones when they're low on power. Unbeknownst to the users, the charging station surreptitiously sends commands over the charging cord’s USB or Lightning connector and steals contacts and emails, installs malware, and does all kinds of other nefarious things.


“Malware installed through a corrupted USB port can lock a device or export personal data and passwords directly to the perpetrator,” the FCC [warned](https://www.fcc.gov/juice-jacking-dangers-public-usb-charging-stations) earlier this month. “Criminals can then use that information to access online accounts or sell it to other bad actors. In some cases, criminals may have intentionally left cables plugged in at charging stations. There have even been reports of infected cables being given away as promotional gifts.”


A few days earlier, the FBI’s Denver field office issued its [own juice jacking alert](https://twitter.com/FBIDenver/status/1643947117650538498), writing in part, “Bad actors have figured out ways to use public USB ports to introduce malware and monitoring software onto devices.” Not to be outdone, Michigan Attorney General Dana Nessel [said](https://www.michigan.gov/ag/news/press-releases/2023/04/17/ag-nessel-warns-consumers-to-beware-of-juice-jacking-when-using-public-charging-stations) juice jacking "is yet another nefarious way bad actors have discovered that allows them to steal and profit from what doesn’t belong to them."


Contrary to the government communications, the vast majority of cybersecurity experts do *not* warn that juice jacking is a threat unless you’re a target of nation-state hackers. There are *no* documented cases of juice jacking *ever* taking place in the wild. Left out of the advisories is that modern iPhones and Android devices require users to click through an explicit warning before they can exchange files with a device connected by standard cables.



* The initial warning seen when plugging in an iPhone.
* The following screen, which requires a password.
* The initial warning seen after plugging in a Pixel 7.
* The screen that follows.


“At a high level, if nobody can point to a real-world example of it actually happening in public spaces, then it’s not something that is worth stressing about for the general public,” Mike Grover, a researcher who designs offensive hacking tools and does offensive hacking research for large companies, said in an interview. “Instead, it points to viability only for targeted situations. People at risk of that, hopefully, have better defenses than a nebulous warning.”


He added: “I have heard about people intentionally altering the voltage of public chargers, but that’s just dumb, malicious stuff. When it comes to public charge sources, I feel like a bigger risk is shitty power quality and damaged connectors.”


There are edge cases that allow keyboards—or devices masquerading as keyboards—to enter commands that do malicious things when they're connected to an iPhone and Android device. But those attacks must be customized for each different phone model being plugged in. Additionally, such techniques have significant limitations that make them impractical for juice jacking.


More about these edge cases and their shortcomings later. The long and short of it is this: No one in the past five years has demonstrated a viable juice jacking attack on a device running a modern version of iOS or Android. Apple representatives aren’t aware of any such attacks occurring in the wild (Google representatives didn’t respond to numerous requests for comment), and I couldn’t find any security experts who knew of any, either. And as noted earlier, there are no documented cases of juice jacking ever occurring in the wild.







That’s not to say it’s impossible to pull off the kind of attack the FCC and FBI warn of. The [GrayKey](https://www.grayshift.com/graykey/), for instance, is a device an Atlanta-based company called GrayShift has been selling for years to law enforcement agencies. It allows investigators to extract data from fully locked iPhones and Android devices.


But according to a [2018 article](https://www.malwarebytes.com/blog/news/2018/03/graykey-iphone-unlocker-poses-serious-security-concerns) from security firm Malwarebytes, the GrayKey takes anywhere from two hours to three days to crack a password and costs upward of $30,000. Also, at the time the article was published, the utility of the device lasted only as long as the vulnerabilities it exploited remained unpatched.


Grayshift competitors, such as Cellebrite, sell devices or services that provide similar capabilities. It’s a given that the National Security Agency and similar hacking organizations funded by nation-states can do the same things.


That means that the ability to do the things the FCC and FBI are warning of require zero-days, meaning vulnerabilities that hackers know about before the developers or general public do. A zero-day that can surreptitiously infect a tethered phone or siphon data would be extremely valuable, perhaps costing as much as $1 million. No one will burn an exploit like that trying to hack an everyday person in an airport.


Of course, the absence of evidence is not evidence of absence. When I questioned an FCC spokesperson about the accuracy the agency's warning by pointing out that I wasn’t aware of any security experts saying juice jacking is a real threat, they asked if I had spoken to every cyber expert.


No, of course not. We all know that it’s impossible to prove a negative. But as Carl Sagan argued, extraordinary claims require extraordinary evidence. If government officials are going to claim that criminals are carrying out juice jacking, the onus is on them to substantiate their claims and cite specific experts. Absent that, the officials should stop repeating the claims.


## Tales from the echo chamber


The term juice jacking was coined by security reporter Brian Krebs in [this article](https://krebsonsecurity.com/2023/04/why-is-juice-jacking-suddenly-back-in-the-news/) from 2011. In it, Krebs reported that hackers set up a fake charging station at Defcon, an annual conference in Las Vegas where participants are permitted and encouraged to demonstrate hacks (within reason) against fellow attendees.


The demonstration was intended to bring awareness to the threat, and it worked. In the coming years, other researchers showed off new proof-of-concept hacks that showed juice jacking was a viable threat. One such hack was a fake wall charger dubbed "[Mactans](https://www.blackhat.com/us-13/briefings.html)" that was [presented at the 2013 Black Hat conference](https://www.blackhat.com/us-13/briefings.html) in Las Vegas. Hidden inside the Mactans was an inexpensive, single-board computer known as a BeagleBoard that took about one minute to bypass the minimal protections iOS had at the time and access files stored on the phone.


Other reports that accurately portrayed the threat at the time include [this news segment](https://www.youtube.com/watch?v=pYmMoUCMB7A) from an ABC television affiliate in Phoenix, and [this post](https://www.zdziarski.com/blog/?p=2345) published by security researcher and reverse engineer Jonathan Zdziarski.


A news report on juice jacking from an ABC television affiliate in Phoenix.


In the coming years, Apple and Google continued to harden their operating systems against the threat. Media and government officials, however, kept presenting juice jacking as a threat everyday people should worry about. [A brief](https://www.nytimes.com/2017/05/10/technology/personaltech/the-risk-in-using-a-public-phone-charger.html) published by The New York Times in 2017, for instance, cited the Mactans research from four years earlier to counsel readers to stay away from public chargers.


In 2019, the Los Angeles District Attorney’s office published [an alert](http://da.lacounty.gov/about/inside-LADA/juice-jacking-criminals-use-public-usb-chargers-steal-data-ff) warning people of a scam in which “criminals load malware onto charging stations or cables they leave plugged in at the stations so they may infect the phones and other electronic devices of unsuspecting users.” In response, reporter Zack Whittaker of TechCrunch [reported](https://techcrunch.com/2019/11/15/los-angeles-juice-jacking-usb/) one week later that the DA’s office did not, in fact, have a single case on its books and couldn’t cite a single jurisdiction that did.





Despite TechCrunch largely debunking the DA’s alert, it touched off an avalanche of follow-on news articles and alerts. The most notable was [this one](https://www.nytimes.com/2019/11/18/technology/personaltech/usb-warning-juice-jacking.html). Published by The New York Times just three days after the TechCrunch post, the article reported on the DA’s alert with the breathless headline “Stop! Don’t Charge Your Phone This Way.” Nine days later, the FCC issued its [own warning](https://web.archive.org/web/20191225200515/https://www.fcc.gov/juice-jacking-dangers-public-usb-charging-stations) that cited both the DA’s alert and The New York Times article in warning that “criminals have left cables plugged in at the stations.”


The Los Angeles DA’s alert finally came down around December 2020 with no explanation. For the next few years, the juice jacking warnings largely subsided. Then, earlier this month, the FBI’s field office in Denver issued [this post on Twitter](https://twitter.com/FBIDenver/status/1643947117650538498) out of the blue, reigniting the hysteria.


“Bad actors have figured out ways to use public USB ports to introduce malware and monitoring software onto devices,” FBI officials wrote. Five days later, the FCC updated the guidance it had originally posted in 2019. Following that, hundreds of articles rained down from publications large and small, once again warning that criminals are out to infect the phones of ordinary people when they are plugged into public chargers. Juice jacking, it seemed, was the Halley’s Comet of baseless cybersecurity warnings, periodically reappearing after long absences.


An FBI spokesperson told me this month’s tweet was “a standard PSA-type post—nothing new” and that it stemmed from the FCC warning. “This was a general reminder for the American public to stay safe and diligent, especially while traveling.” They added: “I am sorry I can’t give you an answer that is more newsy.” When I asked an FCC spokesperson what the basis was for the agency to update its warning five days later, they said it was prompted by the Denver FBI tweet.


What this means is that state and federal authorities and hundreds of news outlets—none of them with any expertise in cybersecurity—have generated a continuous feedback loop. This vicious cycle has done little more than scare the public into eschewing charging stations when there’s wide consensus among security professionals that there’s no reason for anyone other than high-asset targets of nation-states to do so.


## So what can fake chargers do to your phone, really?


As noted earlier, it’s likely that viable juice jacking attacks are possible, but they’re largely out of reach for the vast majority of hackers. As also noted, there are edge cases that allow a hacker to take control of a device when it’s plugged into a malicious charging cord. The best example is the [O.MG Cable](https://shop.hak5.org/products/omg-cable), which is designed and sold by security researcher Mike Grover. The O.MG Cable looks just like a regular charging cord for devices with either a USB-C or Lightning connector. Inside, however, is a tiny Wi-Fi controller that a hacker can connect to with a standard browser running on a nearby phone or laptop. When the O.MG Cable is plugged into a phone, the hacker can inject commands that both iPhones and Android devices will accept with no user input required.


This [video](https://www.youtube.com/watch?v=LRVlaNfthbg) shows the O.MG Cable installing a malicious app on an Android phone in just 13 seconds:





The O.MG is primarily designed to target laptops and desktops, but for models of the cable that deliver mobile payloads, it does so with an [OTG adaptor](https://en.wikipedia.org/wiki/USB_On-The-Go) hidden in the cable alongside the Wi-Fi controller. USB OTG (short for on-the-go) adapters are multipurpose devices that allow people to connect game controllers, computer keyboards, mice, and other peripherals to their mobile device through its charging port.





The hidden OTG adaptor allows the O.MG Cable to inject keystrokes into Android and Apple devices equipped with USB-C connectors with no user interaction required. The attack works by creating a script that injects precisely the right combination of commands needed to perform a particular task. In the video above, the commands install an application that provides a web interface known as a reverse shell, which allows the hacker to remotely run commands on the connected device.


There are some major limitations, however, that make the O.MG Cable and similar hacking tools unsuitable for the kind of opportunistic juice jacking the FCC and FBI warnings envision. First, the script must be tailored to the specific model of hardware being attacked. The script needed to hack a Samsung Galaxy phone will be different from the one needed to hack a Motorola. A script targeting an iPhone would be altogether different.


That means it’s infeasible, if not impossible, to create a malicious charging station that could hack more than a very small number of phones in use today. That still leaves open the possibility of a fake charging station that targets, say, only iPhone 14 or Pixel 7 models, but it significantly limits the reach of such attacks.


Another shortcoming is that the OTG adaptor turns the phone into a USB host, meaning the phone—which is already running low on battery power—must supply power to the cable rather than the other way around. This limitation undermines the whole subterfuge of a charging station and may also kill the remaining battery life before an attack has a chance to progress.


For iPhones, the O.MG cable is even more poorly suited to juice jacking. For one, iPhones require users to enter a password (or provide a facial scan) before an app will install. (The Pixel 7 I tested did not; some Android devices may.) That requirement significantly limits the effectiveness of the attack.


Additionally, the O.MG cable works only on Apple devices equipped with a USB-C connector. To hack an iOS device with a Lightning connector, a juice jacker would need an additional Lightning adapter that would be physically obvious to the person using the booby-trapped charger.


There are at least two other theoretically possible methods. One is targeting the debugging interface of the connected phone. There are several off-the-shelf products that allow hackers to interact with the debug interface on phones. For iPhones, there's the Tamarin "cable," but that has an easy-to-spot Raspberry Pi hanging off of it. Also problematic: Like the O.MG, these devices can't charge a phone when they're accessing the file system of the connected device.


The other possible method uses newer, more experimental types of hardware that allow charging even while turning the iPhone into a USB Host. This [video](https://youtu.be/sWkzMjFAKEQ) demonstrates a prototype of such hardware.


Prototype of a debugger that can charge a phone and access data simultaneously.


Finally, besides there being no universal script that will work on hundreds or even dozens of different devices, the customized scripts are non-trivial to write. They require a high skill level and a huge amount of trial-and-error troubleshooting.


None of this is to say that people shouldn’t bring their own charging cord and wall plug when they’re out of the home or office. That is a *best* practice, but it's wrong to characterize it as a *required* practice. We all know that things happen. Devices break, or we forget our gear at home. When that happens, people should use a public charging station and not worry about theoretical risks like juice jacking.


The problem with the warnings coming out of the FCC and FBI is that they divert attention away from bigger security threats, such as weak passwords and the failure to install security updates. They create unneeded anxiety and inconvenience that run the risk of people simply giving up trying to be secure.


As security researcher Kenn White recently [wrote](https://mastodon.social/@kennwhite/110192478221892632) of the warnings on Mastodon: “What's the end goal here? Convince people who are down to 2 percent battery while traveling to never use modern public infrastructure? Come on. There are 20 things that threaten muggle endpoint security, and this isn't among them.”












## Tags:


### Autogenerated tags:
fcc o.mg usb android iphones malware iphone otg cybersecurity mactans
