# Used thin client PCs are an unsexy, readily available Raspberry Pi alternative
## Turn yesterday's corporate computer into today's Pi-like system—with some work.
## Information:

+ Link: https://arstechnica.com/gadgets/2022/11/used-thin-client-pcs-are-an-unsexy-readily-available-raspberry-pi-alternative/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 29 November 2022, 18:03
+ Date scraped: 29 November 2022, 19:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/11/thinkcentre1-760x380.jpg)







"Raspberry Pi boards are hard to get, probably also next year," [says Andreas Spiess](https://www.youtube.com/watch?v=rXc_zGRYhLo), single-board enthusiast and YouTuber, in his distinctive Swiss accent. He's [not wrong](https://arstechnica.com/gadgets/2022/10/still-cant-buy-a-raspberry-pi-board-things-arent-getting-better-anytime-soon/). Spiess says he and his fellow Pi devotees need "a strategy to survive" without new boards, so he suggests looking in one of the least captivating, most overlooked areas of computing: used, corporate-minded thin client PCs.


Andreas Spiess' suggestion to "survive" the Raspberry Pi shortage: cheap thin clients.


Spiess' Pi replacements, suggested and refined by many of his YouTube commenters and Patreon subscribers, are Fujitsu Futros, Lenovo ThinkCentres, and other small systems (some or all of which could be semantically considered "thick clients" or simply "mini PCs," depending on your tastes and retro-grouch sensibilities). They're the kind of systems you can easily find used on eBay, refurbished on Amazon Renewed, or through other enterprise and IT asset disposition sources. They're typically in good shape, given their use and environment. And compared to single-board enthusiast systems, [many more are being made and replaced](https://finance.yahoo.com/news/thin-clients-market-growth-usd-120700036.html?guccounter=1&guce_referrer=aHR0cHM6Ly9nb29nbGUuY29tLw&guce_referrer_sig=AQAAALjxH2gNteTeMMzUtF7u7T0JiuVSg8CQqa1vFwkvyDj0deDbOSkUv4htc4T0Uqgv6B2xTi0CcVe1v0vznihXQELfyAMS3TZKLp_BbaYDmILJR1fQBShMy3NRW2bqeIiZNvQxVbLGLjvtO1FPlgcugHqqLi-8z0y6ZK2BXi5TwKoj) each year.


They've always been there, of course, but it makes more sense to take another look at them now. "Back to the future," as Spiess puts it (in an analogy we're not entirely sure works).


Spiess' journey for make-do Pi servers moves him past modern NUCs quickly, as they're too expensive and overpowered for Home Assistant, PiHole, or even a multi-container system. He looks at two kinds of thin clients that work. For a single-purpose Pi replacement, almost any Intel or AMD processor works, and you'll need 4GB of memory and 8GB of solid-state storage. To run multiple Pi-scale projects off one box, Spiess suggests hunting for a newer processor, 8GB of memory, and a 64GB or 128GB SSD (or separately upgrading either of those if possible). For his single-purpose projects, he found a 34-euro Futro ($35 USD) with an AMD GX-222GC SoC; for multiple containers, he got fourth-generation i5 and i7 ThinkCentres for 79 and 105 euros ($82 and $109 at the moment).


Then there's the software. Installing Home Assistant or similar Pi-focused images on the lower-powered client requires a USB-to-mSATA adapter or booting a Debian system off a live USB and then flashing the internal SSD with the image. For a multi-VM or multi-container machine, Spiess uses [Proxmox](https://www.proxmox.com/en/). He installs Home Assistant in one virtual machine, then [IoT Stack](https://www.iotstack.co/) on an AMD-64 version of Debian in another.


It's not a revelation that a more powerful computer can replicate the job of a less-powerful computer, but the delta in power consumption and processing might surprise some. Compared to a Raspberry Pi, Spiess' cheaper Fujitsu is actually a bit slower at ESPhome compiling than a Raspberry Pi 4, but the i5 and i7 were more than three times faster.


Using a meter, Spiess measured their power consumption. Two Raspberry Pi units consumed 12 Watts at a mostly idle state, the Fujitsu at 14 W and the i5 and i7 at 16–18 W (with spikes up to 25 W during high activity). Buying thin clients with newer processors and better power efficiency would lower those numbers more, but Spiess' scratch math suggests a savings of only about 24 euros ($25 USD) per year, compared to the hundreds of dollars more they cost to buy.


It's obviously more work to find the right balance of cost and size in the used thin client (or sometimes "mini PC") market and more work to get one running projects typically intended for the distinctive Pi platform. But bolstering the market for second-hand computers is a net good, especially if a machine perfect for tinkering or home automation ends up in your network closet instead of the shredder. (A tip of the hat to [Hackaday](https://hackaday.com/2022/11/25/when-pi-supply-falls-short-thin-clients-stand-tall-for-home-automation-and-low-power-computing/) for the video link).














## Tags:


### Autogenerated tags:
spiess fujitsu i5 i7
