# Kali Linux 2021.2 released with new tools, improvements, and themes
## ​Kali Linux 2021.2 was released today by Offensive Security and includes new themes and features, such as access to privileged ports, new tools, and a console-based configuration utility.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kali-linux-20212-released-with-new-tools-improvements-and-themes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 02 June 2021, 11:50
+ Date scraped: 12 December 2023, 12:18

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/02/kali-linux-header.jpg)



​Kali Linux 2021.2 was released today by Offensive Security and includes new themes and features, such as access to privileged ports, new tools, and a console-based configuration utility.


Kali Linux is a Linux distribution designed for cybersecurity professionals and ethical hackers to perform penetration testing and security audits.


With this release, the Kali Linux Team introduces the following new features outlined below.


Kaboxer 1.0 released
--------------------


In May, Offensive Security announced the Kali Applications Boxer (Kaboxer) tool, which allows complex and non-standard applications to be packaged in containers along with all of their dependencies.


"Enter Kaboxer. Using containers we can put in complex non-standard package into a container and integrate it with the rest of the operating system, and bundle it up into the packaging eco-system," Kali explained in a [blog post](https://www.kali.org/blog/introducing-kaboxer/).


"This means you can apt-install a Kaboxer program and use it without needing to take any special steps."


With today's official release of Kaboxer, Offensive Security has introduced three new packages to Kali Linux:


* [Covenant](https://pkg.kali.org/pkg/covenant-kbx) - Daemon using server/client network model
* [Firefox (Developer Edition)](https://pkg.kali.org/pkg/firefox-developer-edition-kbx) - Big GUI desktop application
* [Zenmap](https://pkg.kali.org/pkg/zenmap-kbx) - Legacy libraries *([Python 2](https://www.kali.org/docs/general-use/using-eol-python-versions/))* application

Kali-tweaks 1.0 released
------------------------


The new **kali-tweaks** console utility allows users to customize the distribution to their specific needs by adding particular packages, configuring network repositories, customizing the shell, and enabling further support when running under a virtual machine.



![New kali-tweaks utility](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2021.2/kali-tweaks.jpg)**New kali-tweaks utility**


The utility currently supports the following tasks:


* **Metapackages** - Installing/removing groups of tools, which may not have been available while installing Kali if you did not use the installer image
* **Network Repositories** - Enabling/disabling “bleeding-edge” & “experimental” branches
* **Shell & Prompt** - Switch between two or one line prompt, enable/disable the extra line before the prompt, or configure Bash or ZSH as the default shell
* **Virtualization** - Using Kali as a guest VM? Do a few actions to make the experience easier!

Unprivileged access to all TCP & UDP ports
------------------------------------------


Kali Linux users running the distro using Offensive Security's Linux kernel will now have unprivileged access to all TCP and UDP ports.


In the past, Kali Linux did not allow access to TCP/UDP ports 0 through 1023 as they were reserved for well-known services, and Kali was considered a desktop OS rather than a server distribution.



![No access to well-known ports](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2021.2/privileged-tcp-port.jpg)**No access to well-known ports**


To connect to privileged ports for their own services, users were either port forwarding to the well-known service ports (ports 80, 443, 21, etc.) to non-standard ports or running the programs with root-level permissions.


However, running a server using '`sudo server`' defeats the purpose of this security layer and potentially exposes the distribution to attacks.


With Kali Linux 2021.2, users can now access TCP and UDP ports

Complete list of changes in Kali Linux 2021.2
---------------------------------------------


The complete [list of changes](https://www.kali.org/blog/kali-linux-2021-2-release/) in Kali Linux 2021.2 are:


* **Releasing Kaboxer v1.0** - Introducing Kali Applications Boxer v1.0! Applications in containers.
* **Releasing Kali-Tweaks v1.0** - Our way to make it easier to configure Kali Linux to your taste.
* **Refreshed Bleeding-Edge branch** - We did a complete makeover for our backend that produces packages for the latest updates.
* **Disabled privileged ports** - Opening a listener on ports 1024/TCP-UDP and below no longer requires super-user access.
* **Theme enhancements** - We added a way to quickly swap between double & one-line terminal prompt and made Xfce4 Quick launch + file manager tweaks.
* New Tools - A variety of new tools were added to Kali Linux 2021.2, with further details below.
* **Desktop wallpaper & login background updates** - Default images have changed with more to choose from.
* **Raspberry Pi images recharged** - RPi 400 fully supported, built-in bluetooth working, & first-run wait time dramatically reduced.
* **Kali NetHunter support for Android 11** - Android 11 support and various other improvements for our NetHunter platform.
* **More Docker support** - Now supporting ARM64 & ARM v7 *(along with previous AMD64).*
* **Parallels support** - Kali is fully supported for Apple M1 users who have Parallels.
* **Various bug fixes** - Pkexec patched, Wireshark permissions, command-not-found issues, & more accessibility features are all resolved.

It wouldn't be a new Kali Linux version without some new tools and utilities, listed below:


* [CloudBrute](https://pkg.kali.org/pkg/cloudbrute) - Find a company infrastructure, files, and apps on the top cloud providers
* [Dirsearch](https://pkg.kali.org/pkg/dirsearch) - Brute force directories and files in web servers
* [Feroxbuster](https://pkg.kali.org/pkg/feroxbuster) - Simple, fast, recursive content discovery
* [Ghidra](https://pkg.kali.org/pkg/) - Reverse engineering framework
* [Pacu](https://pkg.kali.org/pkg/pacu) - AWS exploitation framework
* [Peirates](https://pkg.kali.org/pkg/peirates) - Kubernetes penetration
* [Quark-Engine](https://pkg.kali.org/pkg/quark-engine) - Android malware scoring system
* [VSCode](https://pkg.kali.org/pkg/code-oss) *a.k.a. Visual Studio Code Open Source (“Code-OSS”)* - Code editor

How to get Kali Linux 2021.2
----------------------------


To install a fresh version of Kali Linux 2021.2, you can [download ISO images](http://cdimage.kali.org/kali-2021.2/) that support full installs or live distributions.


For those updating from a previous version, you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main non-free contrib" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

cp -i /etc/skel/.bashrc ~/

cp -i /etc/skel/.zshrc ~/

chsh -s /bin/zsh

[ -f /var/run/reboot-required ] && sudo reboot -f
```

You can then check if the upgrade to Kali Linux 2021.2 was successful using the following command:



```
grep VERSION /etc/os-release
```




## Tags:
***urls***: http://http.kali.org/kali

### Autogenerated tags:
linux kaboxer kali-tweaks sudo non-standard tcp udp well-known android
