# California privacy rules target dark patterns through technology design
## California Privacy Rights Act provisions that will go into effect in January will provide more control to consumers over how companies use their data.
## Information:

+ Link: https://www.cybersecuritydive.com/news/california-cpra-privacy-rights/627744/
+ Source: CyberSecurity Dive
+ Author: Robert Freedman
+ Date published: 20 July 2022, 22:00
+ Date scraped: 25 July 2022, 20:30

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/6-Qfb0ZBixySHLw2fjonhZfDmi3ouO26tHFWYmIFXJ0/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTQ1NDM2OTczMS5qcGc.jpg)


General counsel will need to work closely with IT leadership to operationalize big changes to California’s [Consumer Privacy Act](https://oag.ca.gov/privacy/ccpa) (CCPA) by the start of next year. 


Close cooperation between legal and IT is necessary because some of the most important requirements in the [California Privacy Rights Act](https://vig.cdn.sos.ca.gov/2020/general/pdf/topl-prop24.pdf) (CPRA), which was enacted in 2020 to strengthen CCPA consumer protections, link compliance with website and app design.    


“It’s a really interesting concept they’re driving at here,” David Strauss, an attorney with Husch Blackwell, [said in a webcast](https://youtu.be/laS5ovs5shE). “They’ve essentially bundled the [enforcement] concepts with design aspects.”


### Increased privacy focus


CCPA was enacted in 2018 following passage of the European Union’s sweeping [General Data Protection Regulation](https://eur-lex.europa.eu/eli/reg/2016/679/oj) (GDPR), which seeks to give consumers control over how organizations use personal information. 


CPRA builds on CCPA by introducing a novel concept – sensitive personal information (PI) – and by imposing new requirements around the sharing of data. The new law also takes aim at what some in the privacy field call dark patterns by requiring digital environments to stop using ambiguity as a tactic to discourage people from opting out of protections.


Although CCPA and CPRA protections apply only to California consumers, the infrastructure that organizations build to make their websites and apps compliant will be the same infrastructure any consumer interfaces with, no matter where they are.


What’s more, other states, including Virginia, Connecticut and Colorado, are mandating privacy protections, making it difficult for organizations to operate digitally without following these states’ privacy laws.


### Design considerations


CPRA’s attack on dark patterns is a key reason compliance and design are interwoven. The term refers in part to organizations’ efforts to manipulate consumer behavior by creating asymmetric navigation paths – paths that favor an organization’s use of personal data over the consumer’s preferences.


An example is an organization sending consumers to its privacy policy rather than an opt-out button when consumers click a link to limit the use of their personal data. Although the opt-out button is included in the privacy policy, it’s left to consumers to scroll down until they find the link to click.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


Another example is the way organizations tweak design to discourage consumer opt outs. For example, instead of giving consumers two identical choices – either opt out or opt in – organizations give an asymmetrical choice – either to opt in or learn more about privacy. Only when they click on the “learn more” option are consumers given the opt-out choice.


“They’re looking to hold businesses accountable for designing ways to discourage users from exercising their rights,” Strauss said.


Sprinkled throughout CPRA are design requirements that organizations must follow, limiting the flexibility of IT leadership in making technical changes.


There’s little flexibility, for example, on deciding how, where and what kind of links the organization uses to direct people to their privacy policy.


“For websites, the link needs to appear in a similar manner as other links that the business uses on its home page,” said Shelby Dolen, an attorney with Husch Blackwell. “For example, they must use the same font size and color as any of the other links.”


### Data sharing


To deepen protections, CPRA introduces a concept, sensitive PI, and builds on CCPA limits on the selling and sharing of data by adding a requirement that organizations confirm, on the website and in an app, that they’ve acted on a consumer’s opt-out choice.


That means if a consumer clicks a button opting out of having their sensitive PI shared with a third party, the organization must respond with confirmation they acted on the request.


“This is stuff businesses are going to have to look at and say, ‘How do we operationalize these concepts?’” Strauss said.


Sensitive PI includes consumer driver’s license and Social Security numbers that organizations collect and store, typically as part of transactions.


Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.



### 
 Read More in Policy & Regulation












[![The T-Mobile logo is displayed outside of a T-Mobile store on April 24, 2017 in San Francisco.](/imgproxy/16R34PNA6rr5fbTQaifNBt0IbgxOhDDPZ2pi4gsn4WQ/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTY3MjM4OTY4Mi5qcGc.jpg)](https://www.cybersecuritydive.com/news/tmobile-settlement-cyberattack/628032/)
Jul 25, 2022
[T-Mobile agrees to $500M settlement for 2021 cyberattack](https://www.cybersecuritydive.com/news/tmobile-settlement-cyberattack/628032/)



[![](/imgproxy/_73tiPJwme0aE6vahCbIQBHKxeaslJ68R0ehtUxlyV4/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL1RhbmstSW1hZ2VfTWl0Y2hlbGxfSGlnaFJlcy1zY2FsZWQuanBlZw.jpeg)](https://www.cybersecuritydive.com/news/tsa-cyber-requirements-oil-gas/627917/)
Jul 22, 2022
[TSA revises cybersecurity requirements for oil and gas pipelines](https://www.cybersecuritydive.com/news/tsa-cyber-requirements-oil-gas/627917/)



[![A person standing at a podium speaking before a group of people in a room with an ornate floor.](/imgproxy/409FGAWQwOioenEM_xl3Ja8mTRxTNhUSYOxRYVdxCQc/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0ZZQ3Z0OVlXQUFBbDVoZC5qcGVn.jpeg)](https://www.cybersecuritydive.com/news/white-house-cyber-workforce-apprenticeship/627705/)
Jul 20, 2022
[White House takes on cyber workforce gap through 120-day apprenticeship sprint](https://www.cybersecuritydive.com/news/white-house-cyber-workforce-apprenticeship/627705/)



[![](/imgproxy/u7jpxzhQtocZr_idq2Y58lq5T_Q9zEyKTCHkAihq1QU/crop:4470:2416/g:nowe:0:739/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExNDc4NjI1MzUuanBn.jpg)](https://www.cybersecuritydive.com/news/google-mandiant-antitrust-acquisition/627571/)
Jul 19, 2022
[Google deal to buy Mandiant clears key antitrust hurdle](https://www.cybersecuritydive.com/news/google-mandiant-antitrust-acquisition/627571/)



[![Huawei logo depicted on side of building at company's campus in Dongguan, China.](/imgproxy/MlJWTwWoYGPMvPjBm_KlabtjnJVzhuBKKDk7h17sYDo/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExNDI0ODc3NDJfS2lwd3pIUC5qcGc.jpg)](https://www.cybersecuritydive.com/news/us-china-telecom-hardware-replacement/627539/)
Jul 18, 2022
[US effort to rip and replace hardware made in China is ballooning in cost](https://www.cybersecuritydive.com/news/us-china-telecom-hardware-replacement/627539/)



[![CISA, cybersecurity, agency](/imgproxy/YkEHhum2APpOOA-vd2Xft_8HaXfj5eiasCE5ttH2f24/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0NJU0FfaGVhZGVyLmpwZw.jpg)](https://www.cybersecuritydive.com/news/cisa-london-office/627477/)
Jul 18, 2022
[CISA eyes cross-pond cyber cooperation with London office](https://www.cybersecuritydive.com/news/cisa-london-office/627477/)



[![Secretary of State Antony Blinken speaks alongside President Joe Biden.](/imgproxy/jlAmTHHgXReZn_MUfxYfhxEypQu-tob3hNLf3Af5p9o/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyMjk3Njk0MTUuanBn.jpg)](https://www.cybersecuritydive.com/news/us-losing-cyberspace-race/627387/)
Jul 15, 2022
[The US is losing the cyberspace race](https://www.cybersecuritydive.com/news/us-losing-cyberspace-race/627387/)



[![The U.S. Capitol Building at night with lightning in the background.](/imgproxy/yhwy7iOiCoGwLWwy71B09264Qu83SL37tnKcvTMYNQE/crop:3877:2095/g:nowe:19:66/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR182MTgxLmpwZw.jpg)](https://www.cybersecuritydive.com/news/log4j-endemic-vulnerability/627284/)
Jul 14, 2022
[Log4j is far from over, cyber review board says](https://www.cybersecuritydive.com/news/log4j-endemic-vulnerability/627284/)



[Want to see more stories in **Policy & Regulation**?
 

 Read More ➔](/topic/regulation/)




What makes this technically difficult is that systems and processes must be in place, as part of the behind-the-scenes operational infrastructure that’s needed for organizations to be able to confirm a request on a website or in an app.


For consumers who choose not to allow third-party data sharing, for example, the organization must be able to show, through a radio button or a toggle switch, that the request has been complied with.


Behind the scenes, a process must be in place that automatically blocks off the consumer’s data from sharing while also pushing down the request to contractors, service providers and third parties.


### Rights to know, delete and correct


Similar underlying technical changes are needed to comply with a CPRA requirement that organizations can correct sensitive PI and not just delete it at consumers’ request.


To comply, organizations must create a process for accepting and evaluating information that consumers provide showing that their stored data is incorrect. Once a request is made, must correct it and confirm the change to the customer. Organizations have 10 days to acknowledge receipt of the request and 45 days to address it.


Addressing it includes pushing the request down to service providers, contractors and third parties.


In cases where correcting the information isn’t practically feasible, or takes a disproportionate effort to correct, organizations must let consumers know why it’s not feasible. They can also just delete the data as long as doing that wouldn’t negatively impact the consumer.


The option not to correct the data can’t simply be because of the difficulty of operationalizing a process to do it.


“A business that fails to put forth adequate processes to comply with consumer requests can’t then use this disproportionate effort claim,” Strauss said.




### 
 Read More in Policy & Regulation












[![The T-Mobile logo is displayed outside of a T-Mobile store on April 24, 2017 in San Francisco.](/imgproxy/16R34PNA6rr5fbTQaifNBt0IbgxOhDDPZ2pi4gsn4WQ/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTY3MjM4OTY4Mi5qcGc.jpg)](https://www.cybersecuritydive.com/news/tmobile-settlement-cyberattack/628032/)
Jul 25, 2022
[T-Mobile agrees to $500M settlement for 2021 cyberattack](https://www.cybersecuritydive.com/news/tmobile-settlement-cyberattack/628032/)



[![](/imgproxy/_73tiPJwme0aE6vahCbIQBHKxeaslJ68R0ehtUxlyV4/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL1RhbmstSW1hZ2VfTWl0Y2hlbGxfSGlnaFJlcy1zY2FsZWQuanBlZw.jpeg)](https://www.cybersecuritydive.com/news/tsa-cyber-requirements-oil-gas/627917/)
Jul 22, 2022
[TSA revises cybersecurity requirements for oil and gas pipelines](https://www.cybersecuritydive.com/news/tsa-cyber-requirements-oil-gas/627917/)



[![A person standing at a podium speaking before a group of people in a room with an ornate floor.](/imgproxy/409FGAWQwOioenEM_xl3Ja8mTRxTNhUSYOxRYVdxCQc/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0ZZQ3Z0OVlXQUFBbDVoZC5qcGVn.jpeg)](https://www.cybersecuritydive.com/news/white-house-cyber-workforce-apprenticeship/627705/)
Jul 20, 2022
[White House takes on cyber workforce gap through 120-day apprenticeship sprint](https://www.cybersecuritydive.com/news/white-house-cyber-workforce-apprenticeship/627705/)



[![](/imgproxy/u7jpxzhQtocZr_idq2Y58lq5T_Q9zEyKTCHkAihq1QU/crop:4470:2416/g:nowe:0:739/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExNDc4NjI1MzUuanBn.jpg)](https://www.cybersecuritydive.com/news/google-mandiant-antitrust-acquisition/627571/)
Jul 19, 2022
[Google deal to buy Mandiant clears key antitrust hurdle](https://www.cybersecuritydive.com/news/google-mandiant-antitrust-acquisition/627571/)



[![Huawei logo depicted on side of building at company's campus in Dongguan, China.](/imgproxy/MlJWTwWoYGPMvPjBm_KlabtjnJVzhuBKKDk7h17sYDo/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExNDI0ODc3NDJfS2lwd3pIUC5qcGc.jpg)](https://www.cybersecuritydive.com/news/us-china-telecom-hardware-replacement/627539/)
Jul 18, 2022
[US effort to rip and replace hardware made in China is ballooning in cost](https://www.cybersecuritydive.com/news/us-china-telecom-hardware-replacement/627539/)



[![CISA, cybersecurity, agency](/imgproxy/YkEHhum2APpOOA-vd2Xft_8HaXfj5eiasCE5ttH2f24/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0NJU0FfaGVhZGVyLmpwZw.jpg)](https://www.cybersecuritydive.com/news/cisa-london-office/627477/)
Jul 18, 2022
[CISA eyes cross-pond cyber cooperation with London office](https://www.cybersecuritydive.com/news/cisa-london-office/627477/)



[![Secretary of State Antony Blinken speaks alongside President Joe Biden.](/imgproxy/jlAmTHHgXReZn_MUfxYfhxEypQu-tob3hNLf3Af5p9o/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyMjk3Njk0MTUuanBn.jpg)](https://www.cybersecuritydive.com/news/us-losing-cyberspace-race/627387/)
Jul 15, 2022
[The US is losing the cyberspace race](https://www.cybersecuritydive.com/news/us-losing-cyberspace-race/627387/)



[![The U.S. Capitol Building at night with lightning in the background.](/imgproxy/yhwy7iOiCoGwLWwy71B09264Qu83SL37tnKcvTMYNQE/crop:3877:2095/g:nowe:19:66/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR182MTgxLmpwZw.jpg)](https://www.cybersecuritydive.com/news/log4j-endemic-vulnerability/627284/)
Jul 14, 2022
[Log4j is far from over, cyber review board says](https://www.cybersecuritydive.com/news/log4j-endemic-vulnerability/627284/)



[Want to see more stories in **Policy & Regulation**?
 

 Read More ➔](/topic/regulation/)




### Rush for rules


Compounding challenges for complying with CPRA is a time crunch regulators are working under. The law creates the California Privacy Protection Agency, which is writing the rules fleshing out the new requirements.


Given time constraints the agency faces for soliciting and reviewing public comments on its drafts, there’s little likelihood general counsel will have a finalized set of rules to work against until shortly before the end of the year, leaving little time to comply before CPRA takes effect in January 2023.


“The regulations probably won’t be ready before the fourth quarter of 2022,” Strauss said.


Although it’s not clear how much will change between now and then, the draft provides a look at the kind of operational changes general counsel and IT leadership will need to consider as they prepare.





## Tags:


### Autogenerated tags:
jul cpra ccpa opt-out cybersecurity website
