# Raspberry Pi just made a big change to boost security | ZDNet
## Raspberry Pi computers are as much a target as any other, and this change should make life a bit harder for hackers.
## Information:

+ Link: https://www.zdnet.com/article/raspberry-pi-just-made-a-big-change-to-boost-security/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 08 April 2022, 07:38
+ Date scraped: 08 April 2022, 10:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/d496a2a68f94a6632dd8c68bd484b4764b3bb449/2019/09/06/629449b7-cba7-48c5-95ce-3f99092a0356/rpi4.png?width=770&height=578&fit=crop&format=pjpg&auto=webp)


Raspberry Pi has made a change to its operating system Raspberry Pi OS that removes the default username and password. 

Until now, the default username and password for the tiny computers has been respectively "pi" and "raspberry", which made setting up a new Pi device simple but also potentially made the popular internet-connected devices easier for remote attackers to hack them [through techniques like password spraying](https://www.zdnet.com/article/microsoft-warns-over-uptick-in-password-spraying-attacks/). 

"Up until now, all installs of Raspberry Pi OS have had a default user called "pi". This isn't that much of a weakness – just knowing a valid user name doesn't really help much if someone wants to hack into your system; they would also need to know your password, and you'd need to have enabled some form of remote access in the first place," [explains Simon Long, a senior engineer for Raspberry Pi Trading](https://www.raspberrypi.com/news/raspberry-pi-bullseye-update-april-2022/).   

"But nonetheless, it could potentially make a brute-force attack slightly easier, and in response to this, some countries are now introducing legislation to forbid any Internet-connected device from having default login credentials."

The UK for example plans to introduce new regulation that [stop makers of Internet of Things (IoT) devices from shipping them to consumers with default usernames and passwords](https://www.zdnet.com/article/easy-to-guess-default-device-passwords-are-a-step-closer-to-being-banned/).  The UK's National Cyber Security Centre (NCSC) endorsed the Product Security and Telecommunications Infrastructure (PSTI) Bill because the pandemic increased people's reliance on internet-connected devices.   

Long says the latest release of Raspberry Pi OS removes the default "pi" username and a new wizard forces the user to create a username on the first boot of a newly-flashed Raspberry Pi OS image. But he also notes that not all existing documentation will align with the new process. 

"This is in line with the way most operating systems work nowadays, and, while it may cause a few issues where software (and documentation) assumes the existence of the "pi" user, it feels like a sensible change to make at this point," he notes. 

It could nonetheless means a few changes for users when they're setting up a new Raspberry Pi device because the wizard process is compulsory for a desktop setup.  

"Working through the wizard is no longer optional, as this is how a user account is created; until you create a user account, you cannot log in to the desktop. So instead of running as an application in the desktop itself as before, the wizard now runs in a dedicated environment at first boot."

The main difference is that previously users were prompted for a new password. Now users are prompted for a user name and a password. 

Raspberry Pi still lets users set the username to "pi" and the password to "raspberry" but it will issue a warning that choosing the defaults is unwise. 

"Some software might require the "pi" user, so we aren't being completely authoritarian about this. But we really would recommend choosing something else," says Long. 

Raspberry Pi sales spiked at the beginning of the pandemic as consumers sought cheap home computing devices. But Raspberry Pi now faces supply constraints because of the global chip shortage. This week, Raspberry Pi chief Even Upton admitted resellers were out of stock. 

"Demand for Raspberry Pi products increased sharply from the start of 2021 onwards, and supply constraints have prevented us from flexing up to meet this demand, with the result that we now have significant order backlogs for almost all products. In turn, our many resellers have their own backlogs, which they fulfil when they receive stock from us," [said Upton](https://www.zdnet.com/article/raspberry-pi-why-they-are-so-hard-to-buy-right-now-and-what-you-can-do-about-it/). 





## Tags:


### Autogenerated tags:
username internet-connected
