# Kali Linux 2023.4 released with GNOME 45 and 15 new tools
## Kali Linux 2023.4, the fourth and final version of 2023, is now available for download, with fifteen new tools and the GNOME 45 desktop environment.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kali-linux-20234-released-with-gnome-45-and-15-new-tools/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 December 2023, 14:11
+ Date scraped: 05 December 2023, 20:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/13/kali-moto.jpg)



Kali Linux 2023.4, the fourth and final version of 2023, is now available for download, with fifteen new tools and the GNOME 45 desktop environment.


Kali Linux is a Linux distribution created for ethical hackers and cybersecurity professionals to perform penetration testing, security audits, and research against networks.


With this final release of 2023, the Kali Team says there are not many new features added to the core operating system, but they did bundle fifteen new tools, and the distro now ships with the GNOME 45 desktop environment.


Fifteen new tools in Kali Linux 2023.4
--------------------------------------


We say it with every release, but it wouldn't be a new Kali Linux release without some new ~~tools~~ toys to play with.


Below are the fifteen new tools added in Kali 2023.4:


* [cabby](https://pkg.kali.org/pkg/cabby) - TAXII client implementation
* [cti-taxii-client](https://pkg.kali.org/pkg/cti-taxii-client) - TAXII 2 client library
* [enum4linux-ng](https://www.kali.org/tools/enum4linux-ng/) - Next generation version of enum4linux with additional features (a Windows/Samba enumeration tool)
* [exiflooter](https://www.kali.org/tools/exiflooter/) - Finds geolocation on all image URLs and directories
* [h8mail](https://www.kali.org/tools/h8mail/) - Email OSINT & Password breach hunting tool
* [Havoc](https://www.kali.org/tools/havoc/) - Modern and malleable post-exploitation command and control framework
* [OpenTAXII](https://pkg.kali.org/pkg/opentaxii) - TAXII server implementation
* [PassDetective](https://www.kali.org/tools/passdetective/) - Scans shell command history to detect mistakenly written passwords, API keys, and secrets
* [Portspoof](https://www.kali.org/tools/portspoof/) - All 65535 TCP ports are always open & emulates services
* [Raven](https://www.kali.org/tools/raven/) - Lightweight HTTP file upload service
* [ReconSpider](https://www.kali.org/tools/reconspider/) - Most Advanced Open Source Intelligence (OSINT) Framework
* [rling](https://www.kali.org/tools/rling/) - RLI Next Gen (Rling), a faster multi-threaded, feature rich alternative to rli
* [Sigma-Cli](https://www.kali.org/tools/sigma-cli/) - List and convert Sigma rules into query languages
* [sn0int](https://www.kali.org/tools/sn0int/) - Semi-automatic OSINT framework and package manager
* [SPIRE](https://www.kali.org/tools/spire/) - SPIFFE Runtime Environment is a toolchain of APIs for establishing trust between software systems

In addition to the new tools, Kali says they upgraded the Kernel version to 6.3.7.


GNOME 45 is here
----------------


If you prefer using GNOME over KDE, you will be happy to learn that Kali Linux now comes with GNOME 45.


GNOME 45, code-named "Rīga," was released in September 2023, bringing new refinements to the interface and increasing performance.



![GNOME 45 in Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2023.4/gnome-45-in-kali-linux.jpg)**GNOME 45 in Kali Linux**  
*Source: Kali*


Here are some of the features highlighted by the Kali Team:


* Full-height sidebars in many updated apps
* Highly **improved speed of search in nautilus file manager**
	+ Unfortunately the update for `nautilus` was not ready for this release, but it will arrive as a later update soon
* Improved settings\*\* app (`gnome-control-center`)
* **Updated color-schemes** for `gnome-text-editor`
* **Updated themes** for `shell`, `libadwaita`, `gtk-3` and `gtk-4`
* **Updated `gnome-shell` extensions**
* Shell updates, including a new **workspace indicator**, replacing the previous “Activities” button
	+ It is also possible to scroll your mouse wheel while hovering over the indicator to switch between workspaces

New builds and deployment options
---------------------------------


The Kali Team has also created new builds and made them available on various platforms.


Starting with Kali Linux 2023.4, both Kali Linux AMD64 and ARM64 on [Amazon AWS](https://aws.amazon.com/marketplace/pp/prodview-fznsw3f7mq7to) and [Microsoft Azure](https://azuremarketplace.microsoft.com/en/marketplace/apps/kali-linux.kali?tab=overview) marketplaces allowing you to easily deploy Kali to the cloud the way you want.


The devs warn that while ARM64 is increasingly supported by the operating system, not all of its packages are supported under this architecture. So, using an ARM64 distro may make some packages unavailable.


The Kali Team has also added support for deploying Kali Linux on Hyper-V using [Vagrant](https://www.vagrantup.com/).


"If you are not too familiar with Vagrant, think of it as a command-line interface for VMware, VirtualBox, and now Hyper-V," explains the Kali Team.


Finally, you can now install Kali Linux on Raspberry Pi 5 through a [new dedicated image](https://www.kali.org/get-kali/#kali-arm) or by [building it yourself](https://gitlab.com/kalilinux/build-scripts/kali-arm).


How to get Kali Linux 2023.4
----------------------------


To start using Kali Linux 2023.4, you can upgrade your existing installation, [select a platform](https://www.kali.org/get-kali/), or [directly download ISO images](https://cdimage.kali.org/kali-2023.4/) for new installs and live distributions.


For those updating from a previous version, you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main contrib non-free non-free-firmware" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

cp -vrbi /etc/skel/. ~/

[ -f /var/run/reboot-required ] && sudo reboot -f
```

If you are running Kali on the Windows Subsystem for Linux, upgrade to WSL2 for a better experience, including the ability to use graphical apps.


You can check the WSL version used by Kali with the 'wsl -l -v' command in a Windows command prompt.


Once done upgrading, you can check if the upgrade was successful by using the following command:



```
grep VERSION /etc/os-release
```


![Checking version of Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2023.4/kali-linux-2023_4.jpg)**Checking version of Kali Linux**  
*Source: BleepingComputer*


You can view the [complete changelog](https://www.kali.org/blog/kali-linux-2023-4-release/) for Kali 2023.4 on Kali's website.





## Tags:
***urls***: http://http.kali.org/kali

### Autogenerated tags:
linux sudo taxii osint arm64
