# 30+ Tesla Cars Hacked Using Third-Party Software
## Vulnerabilities have been identified in TeslaLogger, an open-source data logger for Tesla cars, while searching for interesting automotive.
## Information:

+ Link: https://cybersecuritynews.com/?p=64799
+ Source: Cyber Security News
+ Author: Kaaviya Ragupathy
+ Date published: 17 May 2024, 16:40
+ Date scraped: 17 May 2024, 17:12

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZT23fFJKdXbSkRRfEVMrj9LQTPaByCYSUYpEyuyaiYIsacqYJ2NOwyP62gUioyoCDPkJGwjQZ1KHmq_bo9ToW7cufKDRxXpD5sMYU2XxWYNgOEoZTS5djJ-OhRDHixxye5a9W42-n5vypeOU-kNVPZY3g47s__nMnim26YaSmkSWplRm9HX2xP_L7WsGE/s16000/TESLA%20HACKED.webp)


A security researcher identified a vulnerability in TeslaLogger, a third-party software used to collect data from Tesla vehicles, that leveraged insecure default settings that could be exploited to gain unauthorized access to TeslaLogger instances.


Reported the issue to the TeslaLogger maintainer, who took steps to mitigate the risk, as it is important to note that this vulnerability does not reside within Tesla vehicles or Tesla’s infrastructure.


Vulnerabilities have been identified in TeslaLogger, an open-source data logger for Tesla cars, while searching for interesting automotive projects.


After installing it on the laptop using Docker, the researcher employed nmap to identify running services in the MariaDB database (port 3306), the Graphana visualization tool (port 3000), and an admin panel (port 8888).



![](https://lh7-us.googleusercontent.com/5tV5oek5uKxTTN25RqKav_RcVi7BZG4cGLr969wZFi1QPwEyXoAe5RGA6B9WZ18E3OrpURrnZMVMyW0YZ6gXwcKyQmV7A1InxD6rmvr-NqYZY7bBDvfxfVfuiJ-RakJg1RIqB5lq3IIvJJGYjb-SzQ)Nmap result


Intrigued by MariaDB and Graphana, he leveraged DBweaver to connect to the database using default credentials found in the project repository, and with the hopes of extracting the Tesla car API key, executed a SQL query to retrieve all data from the ‘cars’ table.


A vulnerability exists in Tesla integrations that utilize the Tesla API, as compromised Tesla tokens, including access tokens and refresh tokens, grant attackers full remote control over a car.



![](https://lh7-us.googleusercontent.com/tPnqNNwUzyBNLufd95biX0RXmHFn4Ljr21vkV0TjtK60826Y_ZUeswQzdEfc5R9dC8ukVJIBY41fieODjYFUeW9qkyqfjcLpdLjY_-d4H8kZSL7kn-kHxCeBcMMul-MrFSTc5a2hVhsY794fbItaGw)Database


While Tesla’s API employs Role-Based Access Control (RBAC), Tesla logger applications often request excessive permissions, allowing attackers to exploit the API key to manipulate the car’s state (e.g., adding drivers, unlocking doors, controlling climate).


**`Free On-Demand Webinar to Secure the Top 3 SME Attack Vectors: [Watch for Free](https://go.cynet.com/top-3-sme-attack-vectors?utm_source=cyber_security_news&utm_medium=webinar&utm_campaign=Q2-sponsored-webinars)`**


This issue persists even if the database is not exposed, as alternative methods for obtaining API keys exist. Certain Tesla logger implementations on Raspberry Pi devices further exacerbate the problem by negligently exposing the API key.



![](https://lh7-us.googleusercontent.com/1FybDAsXEu4ssWEZ2iKV9vWwh84TtINpYT-xj2QYxARWnQ-KN631AIgruGkgLduhMNve8uBxlgzBVvc8yOYX9uyvvNqoHl2-XC_Cb3jIUbRIxLh140wXQfTBGyEJ5A3kUR98HOcZXNMTFFStbiHmmA)required permission to run properly


[**Harish SG**](https://infosecwriteups.com/hacking-into-30-tesla-cars-around-the-world-using-a-third-party-software-00957ac68c92) discovered a vulnerable Grafana dashboard with default credentials, allowing access to [Tesla](https://cybersecuritynews.com/tesla-data-leak-safety/) API tokens. TeslaLogger, a third-party software used for Tesla data logging, was vulnerable due to storing credentials in plain text and insecure default configurations. 


By exploiting these weaknesses, identified over 30 TeslaLogger instances susceptible to remote attacks, potentially granting control of Tesla vehicles, and responsibly reported the findings to the TeslaLogger developer after discovering their contact information.


![](https://lh7-us.googleusercontent.com/0qbIxxuGIx9KUQObilRDXF3NiXujv-YTvfkaFI_gFXuHxCQaQdVKI6pRHkiOSdMO7IX3jFg4OUGMhyMPQ0ePWnrwhwjwYgvv97dxuZP4Mrl9vpGaomOe_fBo95yjVnV0-Tq0igiwqKm8p22T_dBrmQ)public internet censys


Disclosed a vulnerability in TeslaLogger, a third-party software for Tesla cars, that could have allowed attackers to steal Tesla API credentials if they compromised the TeslaLogger database.



![](https://lh7-us.googleusercontent.com/VYG4NHXnGZ31FKHcMFvKilr2fQExdsiWlGdcEBZg6g50lUTwB1wwTnVhr_yF_BWMKKJZDSgvIC0lSHg_iE7EWAEUg9VX0D1ml89izkHjo-iHGGSqKKTecHUGK9Um7rYhb1iCe5J9sn8wop8zecyK4w)Findings


He worked with the TeslaLogger maintainer to fix the issue, which involved encrypting the API credentials in the database and adding authentication to the admin pane, as he did not report the issue directly to Tesla because of an unhelpful response they received from Tesla in the past regarding a similar issue with another third-party software.





## Tags:


### Autogenerated tags:
teslalogger api third-party
