# Malware Comes Standard With This Android TV Box on Amazon
## The bargain T95 Android TV device was delivered with preinstalled malware, adding to a trend of Droid devices coming out-of-the-box tainted.
## Information:

+ Link: https://www.darkreading.com/threat-intelligence/malware-standard-android-tv-box-amazon
+ Source: DarkReading
+ Author: Becky Bracken
+ Date published: 13 January 2023, 20:00
+ Date scraped: 13 January 2023, 21:00

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt8bf8e64c22023322/63c1ad2303f7b439d49684f4/android_Marc_Bruxelle_Alamy.jpg)

At $39.99 with a $3 coupon option for Amazon Prime members, the T95 Android 10.0 TV box might seem like a good value. But when an unsuspecting but cybersecurity-savvy customer ordered one up, he said it came "festooned" with malware — no extra charge.



Daniel Milisic warned consumers in [Reddit](https://www.reddit.com/r/Android/comments/101k0eg/t95_android_tv_allwinner_h616_includes_malware/) and GitHub posts that he just happened to have bought the box to run Pi-hole tracker blocking — and that he immediately made a startling discovery. His first clue something was funky with the device's security was that it was signed with Android 10 test keys.

"If test keys weren't enough of a bad omen, I also found ADB wide open over the Ethernet port — right out of the box," Milisic added.

Then he let Pi-hole go to work.



"After running the Pi-hole install I set the box's DNS1 and DNS2 to 127.0.0.1 and got a hell of a surprise,” Milisic wrote. “The box was reaching out to many known, active malware addresses.”

Milisic explained he discovered traffic-monitoring malware, and an additional type of malware he said operates similarly to [Android mobile malware CopyCat](https://www.darkreading.com/mobile/copycat-malware-infects-14-million-android-devices), but he wasn't able to identify it as a known variant. 

To boot, the malicious code is unremovable: Ultimately, Milisic was unable to strip the malware from the device, so it's currently unplugged, he said.

## Preinstalled Malware Isn't New

Hardware being sold with preinstalled and often unremovable malware is an ongoing issue for consumers. Researchers at Check Point, for instance, warned consumers back in 2017 that a telecom company was distributing more than 36 different Android devices [preloaded with adware](https://blog.checkpoint.com/2017/03/10/preinstalled-malware-targeting-mobile-users/).

In 2018 Chinese PC maker Lenovo was ordered to pay millions in a class-action lawsuit over its laptops coming with [preinstalled adware](https://dd80b675424c132b90b3-e48385e382d2e5d17821a5e1d8e4c86b.ssl.cf1.rackcdn.com/external/lenovomotion-tosettle11jul2018.pdf), in the well-publicized "Superfish" incident. More recently, in April 2022, security researchers with ESET reported they had found and disclosed firmware-level vulnerabilities in millions of Lenovo consumer laptops that could allow attackers to escalate device privileges and [drop malware undetected](https://www.darkreading.com/threat-intelligence/millions-of-lenovo-laptops-contain-firmware-level-vulnerabilities).

And in July 2020, researchers at Malwarebytes raised the alarm that government-funded Android phones for low-income households came out of the box with [preinstalled Chinese malware](https://www.darkreading.com/application-security/more-malware-found-preinstalled-on-government-smartphones) that was deemed incapable of being removed.



The trend indicates that security teams and end users alike should source their devices using a bit of extra caution, from phones to laptops to TV boxes and more.

"The main take-away here: Don't trust cheap Android boxes on AliExpress or Amazon that have firmware signed with test keys," Milisic warned. "They are stealing your data and (unless you can watch DNS logs) do so without a trace!"




## Tags:
***ipv4-adresses***: 127.0.0.1

### Autogenerated tags:
malware android milisic pi-hole preinstalled laptops
