# T95 Android TV Box sold on Amazon hides sophisticated malware
## Expert discovered that the T95 Android TV box, available for sale on Amazon and AliExpress, came with sophisticated pre-installed malware. Security researcher, Daniel Milisic, discovered that the T95 Android TV box he purchased on Amazon was infected with sophisticated pre-installed malware. This Android TV box model is available on Amazon and AliExpress for as low […]
## Information:

+ Link: https://securityaffairs.com/140866/security/t95-android-tv-box-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 January 2023, 10:41
+ Date scraped: 16 January 2023, 12:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Android-TV-box.jpg?resize=300%2C300&ssl=1)


Security researcher, Daniel Milisic, discovered that the T95 Android TV box he purchased on Amazon was infected with sophisticated pre-installed malware.



[![Android TV box](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Android-TV-box.jpg?resize=532%2C532&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Android-TV-box.jpg?ssl=1)


This Android TV box model is available on [Amazon](https://www.amazon.com/s?k=t95+h616&crid=2MYAV99P2V0S3&sprefix=t95+h616%2Caps%2C121&ref=nb_sb_noss_2) and AliExpress for as low as $40.


The device came with Android 10 (with working Play store) and an Allwinner H616 processor. Milisic discovered pre-loaded malware into its firmware. 


Milisic purchased the T95 Android TV box to run [Pi-hole](https://github.com/DesktopECHO/Pi-hole-for-Android), which is a Linux network-level advertisement and Internet tracker blocking application.


After running the Pi-hole he noticed that the box was reaching addresses associated with malware campaigns.


[![Android TV box 2](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Android-TV-box-2.png?resize=886%2C1024&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Android-TV-box-2.png?ssl=1)


*“After searching unsuccessfully for a clean ROM, I set out to remove the malware in a last-ditch effort to make the T95 useful. I found layers on top of layers of malware using tcpflow and nethogs to monitor traffic and traced it back to the offending process/APK which I then removed from the ROM.” the expert [**wrote**](https://www.reddit.com/r/Android/comments/101k0eg/t95_android_tv_allwinner_h616_includes_malware/) on Reddit.* 


*“The final bit of malware I could not track down injects the system\_server process and looks to be deeply-baked into the ROM. It’s pretty sophisticated malware, resembling CopyCatin the way it operates. It’s not found by any of the AV products I tried — If anyone can offer guidance on how to find these hooks into system\_server please let me know here or via PM.”*


The device uses an Android 10 operating system that was signed with test keys. The expert also discovered that it had the Android Debug Bridge (ADB) reachable through the Ethernet port.


The malicious code embedded in the firmware of the device acts like the Android [CopyCat](https://securityaffairs.com/60762/cyber-crime/copycat-android-malware.html) malware. The experts pointed out that all the AV products he tested were not able to detect the threat. 


Milisic also devised a trick to block the malware using the Pi-hole to change the DNS of the command and control server, YCXRL.COM to *127.0.0.2*.


He also created an iptables rule to redirect all DNS to the Pi-hole as the malware/virus/whatever will use external DNS if it can’t resolve.


*“By doing this, the C&C server ends up hitting the Pi-hole webserver instead of sending my logins, passwords, and other PII to a Linode in Singapore (currently **139.162.57.135** at time of writing).” continues the expert.*


Watch out, the solution proposed by Milisic doesn’t remove the malicious code or disable it, it just neutralizes it interfering with its operations.


In order to determine if s T95 Android TV Box has been infected, the researcher recommends checking the presence of a folder named:


`/data/system/Corejava`


and a file named


`/data/system/shared_prefs/open_preference.xml`?


Milisic was not able to test other devices from the same vendor or model to determine if their firmware was infected too.


*“Don’t trust cheap Android boxes on AliExpress or Amazon that have firmware signed with test keys. They are stealing your data and (unless you can watch DNS logs) do so without a trace!” Milisic concludes.*


Below are the **[cleanup instructions](https://github.com/DesktopECHO/T95-H616-Malware/blob/main/README.md)** provided by the researcher on GitHub:


* Reboot into recovery to reset the device or use the Reset option in the ‘about’ menu to Factory Reset the T95
* When device comes back online, connect to adb via USB A-to-A cable or WiFi/Ethernet
* [Run the script](https://github.com/DesktopECHO/T95-H616-Malware/blob/main/T95-H616-Cleanup.sh) (WiP!)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, malware)**





  


---


  




## Tags:
***ipv4-adresses***: 139.162.57.135

### Autogenerated tags:
malware android milisic t95 pi-hole dns
