# Botnet Disrupted by FBI Still Used by Russian Spies, Cybercriminals
## A botnet dismantled in January and used by Russia-linked APT28 consisted of more than just Ubiquiti Edge OS routers.
## Information:

+ Link: https://www.securityweek.com/botnet-disrupted-by-fbi-still-used-by-russian-spies-cybercriminals/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 03 May 2024, 12:00
+ Date scraped: 03 May 2024, 13:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**The botnet of hijacked Ubiquiti routers used by Russia-linked APT28 to conduct global espionage operations consists of more than just Ubiquiti devices, Trend Micro reports.**


A cyberespionage group linked to Russia’s Main Intelligence Directorate of the General Staff (GRU), APT28 – also tracked as Forest Blizzard and Pawn Storm – had been using the network of small office/home office (SOHO) Ubiquiti Edge OS routers for years before [the US dismantled it in January 2024](https://www.securityweek.com/fbi-dismantles-ubiquiti-router-botnet-controlled-by-russian-cyberspies/).


The FBI said at the time that it had copied and erased stolen and malicious data from the ensnared devices, and that it modified firewall rules to effectively block APT28’s access to the bots, without impacting the normal operation of the routers.

Now, [Trend Micro says](https://www.trendmicro.com/en_us/research/24/e/router-roulette.html) that the cleanup operation failed to fully cut the Russian hackers’ access to the infected devices, mainly because the botnet consisted of more than just Ubiquiti routers, and because additional malware planted on them remained undetected.


The botnet became operational in 2016, when cybercriminals started infecting Ubiquiti routers with malware, while APT28 only gained access to it and started using it in its persistent cyberespionage campaigns in April 2022.

“We observed hundreds of Ubiquiti EdgeRouter routers being used for different purposes, such as Secure Shell (SSH) brute forcing, pharmaceutical spam, employing server message block (SMB) reflectors in NTLMv2 hash relay attacks, proxying stolen credentials on phishing sites, multi-purpose proxying, cryptocurrency mining, and sending spear phishing emails,” Trend Micro notes.

The security firm’s investigation into the botnet revealed that some of the bots likely remained infected even after the takedown, most likely due to legal constraints that prevented a thorough cleanup of all routers.

Furthermore, Trend Micro discovered that the operators moved some bots to a new command-and-control (C&C) infrastructure in early February and that Raspberry Pi and other Linux devices were also part of the botnet, including over 350 datacenter VPS IP addresses still compromised after the disruption.


“In fact, any Linux-based internet facing router could be affected, especially those that were shipped with default credentials. In particular, Raspberry Pi devices and VPS servers in datacenters that form an XMRig mining pool for Monero cryptocurrency are part of the same botnet,” Trend Micro notes.

In addition to APT28, at least two other threat actors were found to abuse the infected devices for malicious purposes, namely the infamous Canadian Pharmacy gang, along with an adversary that uses the Ngioweb malware, deployed in memory, to transform devices into commercial residential proxies.

The Ubiquiti routers were infected with various scripts and malicious binaries, including SSHDoor, a backdoored SSH daemon that harvests user credentials at login and provides persistent access to bots. Most likely, APT28 brute-forced the backdoored SSH servers to gain control of the bots.

Trend Micro also discovered the MicroSocks open source SOCKS5 server software on numerous bots, and observed the threat actor adding authentication to it and reuploading it to the infected devices in late February.

Some of the Ubiquiti routers abused by APT28 were also found infected with the Ngioweb malware, which has been around since at least 2018 and which resides in memory only. These devices are being lent to paying subscribers as part of a residential proxy botnet.

“Cybercriminals and APT groups use anonymization tools to blend their malicious activity with benign normal traffic. Commercial VPN services and commercially available residential proxy networks are popular options for these types of activities,” Trend Micro notes.

*\**[*Per Malpedia*](https://malpedia.caad.fkie.fraunhofer.de/actor/apt28)*, APT28 is also known as APT-C-20, ATK5, Blue Athena, Fancy Bear, FrozenLake, Fighting Ursa, Forest Blizzard, G0007, Grey-Cloud, Grizzly Steppe, Group 74, Group-4127, Iron Twilight, Pawn Storm, SIG40, SnakeMackerel, Strontium, Sednit, Sofacy, Swallowtail, T-APT-12, TA422, TG-4127, Tsar Team, TsarTeam, and UAC-0028.*


**Related:** [FBI Dismantles Ubiquiti Router Botnet Controlled by Russian Cyberspies](https://www.securityweek.com/fbi-dismantles-ubiquiti-router-botnet-controlled-by-russian-cyberspies/)


**Related:** [Researchers Discover 40,000-Strong EOL Router, IoT Botnet](https://www.securityweek.com/researchers-discover-40000-strong-eol-router-iot-botnet/)


**Related:** [US Gov Disrupts SOHO Router Botnet Used by Chinese APT Volt Typhoon](https://www.securityweek.com/us-gov-disrupts-soho-router-botnet-used-by-chinese-apt-volt-typhoon/)





## Tags:


### Autogenerated tags:
ubiquiti botnet apt28 malware ssh
