# ICS Patch Tuesday: Advisories Published by Siemens, Schneider Electric, Aveva, CISA
## Several ICS vendors released advisories on Tuesday to inform customers about vulnerabilities found in their industrial and OT products.
## Information:

+ Link: https://www.securityweek.com/ics-patch-tuesday-advisories-published-by-siemens-schneider-electric-aveva-cisa/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 12 June 2024, 08:41
+ Date scraped: 12 June 2024, 09:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/11/ICS_Patches.jpg)


The June 2024 Patch Tuesday brings advisories from several ICS vendors, including Siemens, Schneider Electric and Aveva, as well as the US cybersecurity agency CISA.

**Siemens**


[Siemens](https://www.siemens.com/global/en/products/services/cert.html#SiemensSecurityAdvisories) has published 14 new advisories that cover more than 120 vulnerabilities. The company has made available patches and/or mitigations for these security holes. 


A majority of the flaws impact third-party components and their existence has been known since at least last year.

The list of noteworthy vulnerabilities includes a critical authentication bypass flaw in the PowerSys service program for PowerLink 50/100 and SWT 3000 devices. This weakness allows a local attacker to gain admin privileges for the managed remote devices.

Siemens has also addressed high-severity code execution vulnerabilities in Tecnomatix Plant Simulation, Teamcenter Visualization, JT2Go, and SICAM AK3/TM/BC devices.

High-severity issues have also been resolved in Simatic S7-200 devices and Sinec Traffic Analyzer.

**Aveva**


Industrial software maker Aveva published two new security advisories on Tuesday. One of them informs customers about a high-severity [local code execution vulnerability](https://www.aveva.com/content/dam/aveva/documents/support/cyber-security-updates/SecurityBulletin_AVEVA-2024-004.pdf) in the PI Asset Framework (AF) Client.


The second advisory covers a high-severity [remote code execution vulnerability](https://www.aveva.com/content/dam/aveva/documents/support/cyber-security-updates/SecurityBulletin_AVEVA-2024-003.pdf) impacting the PI Web API. Both flaws are related to the deserialization of untrusted data. 


**Schneider Electric**


[Schneider Electric](https://www.se.com/ww/en/work/support/cybersecurity/security-notifications.jsp) has published five new advisories describing a total of 11 vulnerabilities.


Six flaws have been patched by the industrial giant in SAGE RTUs, including a critical authentication bypass vulnerability, two high-severity issues that can be exploited to cause disruption and for unauthorized file or firmware uploads, and three medium-severity DoS flaws.

The remaining advisories published by Schneider on Tuesday address medium-severity flaws found in Modicon M340 programmable automation controllers, PowerLogic P5 protection relays, EVlink Home Smart EV charging stations, and SpaceLogic controllers.

Exploitation of these vulnerabilities can lead to unauthorized firmware updates, device hijacking, DoS attacks, exposure of the local network, privilege escalation, and the exposure of sensitive information.

**CISA**


CISA on Tuesday published several ICS advisories, including for a high-severity DoS vulnerability in [Rockwell Automation](https://www.cisa.gov/news-events/ics-advisories/icsa-24-163-01) ControlLogix, GuardLogix, and CompactLogix controllers, a critical code execution and data exposure issue in [Intrado 911 Emergency Gateway](https://www.cisa.gov/news-events/ics-advisories/icsa-24-163-04), and two high-severity information disclosure and code execution flaws in [MicroDicom](https://www.cisa.gov/news-events/ics-medical-advisories/icsma-24-163-01) medical software. 


**Related**: [Cisco Finds 15 Vulnerabilities in AutomationDirect PLCs](https://www.securityweek.com/cisco-finds-15-vulnerabilities-in-automationdirect-plcs/)


**Related**: [ICS Patch Tuesday: Advisories Published by Siemens, Rockwell, Mitsubishi Electric](https://www.securityweek.com/ics-patch-tuesday-advisories-published-by-siemens-rockwell-mitsubishi-electric/)





## Tags:


### Autogenerated tags:
high-severity ics
