# Microsoft Outlook Flaw Exploited by Russia's APT28 to Hack Czech, German Entities
## Czechia and Germany reveal they were targets of a massive cyber espionage campaign by Russia-linked APT28 hacker group.
## Information:

+ Link: https://thehackernews.com/2024/05/microsoft-outlook-flaw-exploited-by.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 04 May 2024, 14:08
+ Date scraped: 04 May 2024, 09:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTvmefaxQb8fJmt-33PHxsJPwDA1hCsjgoQgXtKInXBPiaBAR-pII_ITGw0GZntE4iN7GhXXne3OwQLZ9f5vZbVJ8Hw-N3h7Ahs0gVflvU4JqH7leHNR9n377obI7DXEdFhRK6L3ZNjFu0g4mtUPx08JvE9rZFaZfCm-_Z7MzcVma9p3XeFNuSxbO9XZLS/s728/russia.png)


Czechia and Germany on Friday revealed that they were the target of a long-term cyber espionage campaign conducted by the Russia-linked nation-state actor known as [APT28](https://thehackernews.com/2024/03/apt28-hacker-group-targeting-europe.html), drawing condemnation from the European Union (E.U.), the North Atlantic Treaty Organization (NATO), the U.K., and the U.S.


The Czech Republic's Ministry of Foreign Affairs (MFA), in a statement, said some unnamed entities in the country have been attacked using a security flaw in Microsoft Outlook that came to light early last year.


"Cyber attacks targeting political entities, state institutions and critical infrastructure are not only a threat to national security, but also disrupt the democratic processes on which our free society is based," the MFA [said](https://mzv.gov.cz/jnp/en/issues_and_press/press_releases/statement_of_the_mfa_on_the_cyberattacks.html).


The security flaw in question is [CVE-2023-23397](https://thehackernews.com/2023/12/microsoft-warns-of-kremlin-backed-apt28.html), a now-patched critical privilege escalation bug in Outlook that could allow an adversary to access Net-NTLMv2 hashes and then use them to authenticate themselves by means of a relay attack.


Germany's Federal Government (aka Bundesregierung) [attributed](https://www.bundesregierung.de/resource/blob/975226/2276130/ec59e50158ff9ba014025ba5abbfe6ec/2024-05-03-attribution-of-a-russian-cyber-campaign-data.pdf) the threat actor to a cyber attack aimed at the Executive Committee of the Social Democratic Party using the same Outlook vulnerability for a "relatively long period," allowing it to "compromise numerous email accounts."


Some of the industry verticals targeted as part of the campaign include logistics, armaments, the air and space industry, IT services, foundations, and associations located in Germany, Ukraine, and Europe, with the Bundesregierung also implicating the group to the 2015 attack on the German federal parliament (Bundestag).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
APT28, assessed to be linked to Military Unit 26165 of the Russian Federation's military intelligence agency GRU, is also tracked by the broader cybersecurity community under the names BlueDelta, Fancy Bear, Forest Blizzard (formerly Strontium), FROZENLAKE, Iron Twilight, Pawn Storm, Sednit, Sofacy, and TA422.


Late last month, Microsoft [attributed](https://thehackernews.com/2024/04/russias-apt28-exploited-windows-print.html) the hacking group to the exploitation of a Microsoft Windows Print Spooler component (CVE-2022-38028, CVSS score: 7.8) as a zero-day to deliver a previously unknown custom malware called GooseEgg to infiltrate Ukrainian, Western European, and North American government, non-governmental, education, and transportation sector organizations.


NATO [said](https://www.nato.int/cps/en/natohq/official_texts_225230.htm) Russia's hybrid actions "constitute a threat to Allied security." The Council of the European Union also chimed in, [stating](https://www.consilium.europa.eu/en/press/press-releases/2024/05/03/cyber-statement-by-the-high-representative-on-behalf-of-the-eu-on-continued-malicious-behaviour-in-cyberspace-by-the-russian-federation/) the "malicious cyber campaign shows Russia's continuous pattern of irresponsible behavior in cyberspace." 


"Recent activity by Russian GRU cyber group APT28, including the targeting of the German Social Democratic Party executive, is the latest in a known pattern of behavior by the Russian Intelligence Services to undermine democratic processes across the globe," the U.K. government [said](https://www.gov.uk/government/news/united-kingdom-joins-partners-in-condemnation-of-malicious-cyber-activity-by-russian-intelligence-services-uk-government-statement).


The U.S. Department of State [described](https://www.state.gov/the-united-states-condemns-malicious-cyber-activity-targeting-germany-czechia-and-other-eu-member-states/) APT28 as known to engage in "malicious, nefarious, destabilizing and disruptive behavior" and that it's committed to the "security of our allies and partners and upholding the rules-based international order, including in cyberspace."


Earlier this February, a coordinated law enforcement action [disrupted](https://thehackernews.com/2024/02/us-government-disrupts-russian-linked.html) a botnet comprising hundreds of small office and home office (SOHO) routers in the U.S. and Germany that the APT28 actors are believed to have used to conceal their malicious activities, such as the exploitation of CVE-2023-23397 against of targets of interest.


According to a report from cybersecurity firm Trend Micro this week, the third-party criminal proxy botnet dates back to 2016 and consists of more than just [routers from Ubiquiti](https://thehackernews.com/2024/02/cybersecurity-agencies-warn-ubiquiti.html), encompassing other Linux-based routers, Raspberry Pi, and virtual private servers (VPS).


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhCOUfc9CSY6GrKGEmK9ov35fq7wyWWL9pi7IoQXyYbD-3pAkKYaKx7NxdB79o5Gzn9MFx4tAxSFR_xeqrHJ1tkSSCkDS4y4z2XaKKX7ZMCt0hPXQ7dEnYYJfhBsPWVOYTctoQCSXIgoeFZxAL9_zTdT8ikurBBa6H1CoAJJLovF202AXEz_78ovqdVLQxP/s728/elections-2024-fig7.max-2000x2000.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhCOUfc9CSY6GrKGEmK9ov35fq7wyWWL9pi7IoQXyYbD-3pAkKYaKx7NxdB79o5Gzn9MFx4tAxSFR_xeqrHJ1tkSSCkDS4y4z2XaKKX7ZMCt0hPXQ7dEnYYJfhBsPWVOYTctoQCSXIgoeFZxAL9_zTdT8ikurBBa6H1CoAJJLovF202AXEz_78ovqdVLQxP/s728-rw-e365/elections-2024-fig7.max-2000x2000.jpg)
"The threat actor [behind the botnet] managed to move over some of the EdgeRouter bots from the C&C [command-and-control] server that was taken down on January 26, 2024, to a newly set up C&C infrastructure in early February 2024," the company [said](https://www.trendmicro.com/en_us/research/24/e/router-roulette.html), adding legal constraints and technical challenges prevented a thorough cleanup of all ensnared routers.


Russian [state-sponsored cyber threat activity](https://thehackernews.com/2024/04/ukraine-targeted-in-cyberattack.html) – data theft, destructive attacks, DDoS campaigns, and influence operations – is also expected to pose a severe risk to elections in regions like the U.S., the U.K., and the E.U. from multiple groups such as APT44 (aka Sandworm), COLDRIVER, KillNet, APT29, and APT28, per an assessment released by Google Cloud subsidiary Mandiant last week.


"In 2016, GRU-linked APT28 compromised U.S. Democratic Party organization targets as well as the personal account of the Democratic presidential candidate's campaign chairman and orchestrated a leak campaign ahead of the 2016 U.S. Presidential election," researchers Kelli Vanderlee and Jamie Collier [said](https://cloud.google.com/blog/topics/threat-intelligence/cyber-threats-global-elections).


What's more, data from Cloudflare and NETSCOUT show a [surge in DDoS attacks targeting Sweden](https://blog.cloudflare.com/ddos-threat-report-for-2024-q1) following its acceptance to the NATO alliance, mirroring the pattern observed during Finland's NATO accession in 2023.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
"The likely culprits of these attacks included the hacker groups NoName057, Anonymous Sudan, Russian Cyber Army Team, and KillNet," NETSCOUT [said](https://www.netscout.com/blog/asert/sweden-continues-be-prime-ddos-target-they-join-nato). "All these groups are politically motivated, supporting Russian ideals."


The developments come as government agencies from Canada, the U.K., and the U.S. have released a new joint fact sheet to help secure critical infrastructure organizations from continued attacks launched by apparent pro-Russia hacktivists against industrial control systems (ICS) and small-scale operational technology (OT) systems since 2022.


"The pro-Russia hacktivist activity appears mostly limited to unsophisticated techniques that manipulate ICS equipment to create nuisance effects," the agencies [said](https://www.cisa.gov/news-events/alerts/2024/05/01/cisa-and-partners-release-fact-sheet-defending-ot-operations-against-ongoing-pro-russia-hacktivist). "However, investigations have identified that these actors are capable of techniques that pose physical threats against insecure and misconfigured OT environments."


Targets of these attacks comprise organizations in North American and European critical infrastructure sectors, including water and wastewater systems, dams, energy, and food and agriculture sectors.


The hacktivist groups have been observed gaining remote access by exploiting publicly exposed internet-facing connections as well as factory default passwords associated with human machine interfaces ([HMIs](https://csrc.nist.gov/glossary/term/human_machine_interface)) prevalent in such environments, followed by tampering with mission-critical parameters, turning off alarm mechanisms, and locking out operators by changing administrative passwords.


Recommendations to [mitigate the threat](https://www.nsa.gov/Press-Room/Press-Releases-Statements/Press-Release-View/Article/3761830/urgent-warning-from-multiple-cybersecurity-organizations-on-current-threat-to-o/) include hardening human machine interfaces, limiting exposure of OT systems to the internet, using strong and unique passwords, and implementing multi-factor authentication for all access to the OT network.


"These hacktivists seek to compromise modular, internet-exposed industrial control systems (ICS) through their software components, such as human machine interfaces (HMIs), by exploiting virtual network computing (VNC) remote access software and default passwords," the alert said.


  





## Tags:
***CVE's***: CVE-2022-38028 CVE-2023-23397

### Autogenerated tags:
apt28 u.s u.k microsoft ics
